#!/usr/bin/env python
#Created by Daniel Fernandez
#http://mechanicalforex.com 2015

import csv
from bs4 import BeautifulSoup

def main():

    with open ("test.htm", "r") as myfile:
        s=myfile.read()
        
    soup = BeautifulSoup(s, 'html.parser')
    table = soup.find_all('table')[1]
    
    f = csv.writer(open("test.csv", "w"))
    f.writerow(["Time", "Type", "Order", "Size", "Price", "SL", "TP", "Profit", "Balance"])
    
    # variable to check length of rows
    x = (len(table.findAll('tr')) - 1)
    
    # set to run through x
    for row in table.findAll('tr')[1:x]:
        col = row.findAll('td')
        Time = col[1].getText()
        Type = col[2].getText()
        Order = col[3].getText()
        Size = col[4].getText()
        Price = col[5].getText()
        SL = col[6].getText()
        TP = col[7].getText()
        try:
            Profit = col[8].getText()
            Balance = col[9].getText()
        except:
            continue
            
        lineToAdd = (Time, Type, Order, Size, Price, SL, TP, Profit, Balance)
        f.writerow(lineToAdd)

        
if __name__ == "__main__": main()
